Subject: [bug#52198] [PATCH] gnu: ghc: Fix build on i686-linux.

From: zimoun <[email-masked]>
Date: Tue, 30 Nov 2021 17:02:52 +0100

Hi Lars,

On Tue, 30 Nov 2021 at 16:57, Lars-Dominik Braun <[email-masked]> wrote:

> I locally built [email-masked] and this test indeed fails without/succeeds
> with the patch. There’s also an issue over at the GHC tracker
> about this failure, so I’m assuming it’s safe to skip:
> https://gitlab.haskell.org/ghc/ghc/-/issues/17300

I have compiled some ghc-* packages for i686 in order to check and
until now, everything is ok.  Let the CI rebuild everything and then
fix case per case; hoping this failing test about 'quasiquotation'
would not lead to reveal breakage of leaves.

> I pushed this patch to core-updates-frozen as
> afc4945d44aeb6750b980abddbfda66f6ccb6b18. Thank you!

Thanks.

Cheers,
simon